"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useScaleControl = useScaleControl;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _reactBaiduMapUtils = require("@uiw/react-baidu-map-utils");

function useScaleControl() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var _useState = (0, _react.useState)(),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      scaleControl = _useState2[0],
      setScaleControl = _useState2[1];

  var map = props.map,
      anchor = props.anchor,
      offset = props.offset;
  (0, _react.useEffect)(function () {
    if (map && !scaleControl) {
      var instance = new BMap.ScaleControl({
        anchor: anchor || BMAP_ANCHOR_TOP_LEFT,
        offset: offset
      });
      map.addControl(instance);
      setScaleControl(instance);
      return function () {
        map.removeControl(instance);
      };
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [map]);
  (0, _reactBaiduMapUtils.useVisiable)(scaleControl, props);
  (0, _reactBaiduMapUtils.useProperties)(scaleControl, props, ['Anchor', 'Offset', 'Unit']);
  return {
    scaleControl: scaleControl,
    setScaleControl: setScaleControl
  };
}
//# sourceMappingURL=useScaleControl.js.map